Add Docker Buildx plugin
diff --git a/.gitignore b/.gitignore
index f9f8225..27d454c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -43,3 +43,5 @@
 session-manager-plugin.*
 
 # End of https://www.toptal.com/developers/gitignore/api/terraform
+github-runner-ami/packer/session-manager-plugin.deb
+github-runner-ami/packer/session-manager-plugin.rpm
diff --git a/github-runner-ami/packer/files/docker-buildx.sh b/github-runner-ami/packer/files/docker-buildx.sh
new file mode 100644
index 0000000..ff318b8
--- /dev/null
+++ b/github-runner-ami/packer/files/docker-buildx.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+set -exu -o pipefail
+
+architecture=$(uname -m)
+if [[ ${architecture} == "x86_64" ]] ; then
+    # Well. Docker compose got it right, but docker buildx didn't ¯\_(ツ)_/¯
+    architecture="amd64"
+fi
+# Hard-code docker buildx version
+buildx_version="v0.7.1"
+buildx_binary="buildx-${buildx_version}.$(uname -s)-${architecture}"
+plugins_dir="${HOME}/.docker/cli-plugins"
+mkdir -pv "${plugins_dir}"
+curl -L "https://github.com/docker/buildx/releases/download/${buildx_version}/${buildx_binary}" -o "${plugins_dir}/${buildx_binary}"
diff --git a/github-runner-ami/packer/ubuntu2004.pkr.hcl b/github-runner-ami/packer/ubuntu2004.pkr.hcl
index 152afd6..1d62fa0 100644
--- a/github-runner-ami/packer/ubuntu2004.pkr.hcl
+++ b/github-runner-ami/packer/ubuntu2004.pkr.hcl
@@ -38,7 +38,7 @@
   #access_key = ""
   #secret_key = ""
   region = var.aws_regions[0]
-  ami_name = "${var.ami_name}-${var.runner_version}-v4"
+  ami_name = "${var.ami_name}-${var.runner_version}"
   ami_regions = var.aws_regions
   tag {
     key   = "Name"
@@ -140,6 +140,7 @@
       "./files/install-nodejs.sh",
       "./files/install-github-cli.sh",
       "./files/docker-compose.sh",
+      "./files/docker-buildx.sh",
       "./files/git.sh",
       "./files/runner_bootstrap.sh",
       "./files/cleanup.sh",